Bug 525814 - Review Request: fusecompress_offline1 - Utility to help migrate off of fusecompress-1.x
Summary: Review Request: fusecompress_offline1 - Utility to help migrate off of fuseco...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adel Gadllah
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-25 20:55 UTC by Toshio Ernie Kuratomi
Modified: 2009-09-27 16:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-27 16:53:01 UTC
adel.gadllah: fedora-review+


Attachments (Terms of Use)

Description Toshio Ernie Kuratomi 2009-09-25 20:55:13 UTC
Spec URL: http://toshio.fedorapeople.org/packages/fusecompress1.spec
SRPM URL: http://toshio.fedorapeople.org/packages/fusecompress1-1.99.19-5.fc11.src.rpm
Description:
FuseCompress provides a mountable Linux filesystem which transparently
compresses its content.  Files stored in this filesystem are compressed
on the fly and Fuse allows to create a transparent interface between
compressed files and user applications.

This package is only to enable users of fusecompress-1.x filesystems
to upgrade to the newer on-disk format.  Instructions for performing an
upgrade are in README.fedora or the Fedora 12 release notes.

Comment 1 Adel Gadllah 2009-09-25 22:34:10 UTC
============= REVIEW =============

[+] source files match upstream: 2e52d68a5f7f127c075a79b9ff3c26c9d9ebbd7b
[1] package meets naming and versioning guidelines.
[2] specfile is properly named, is cleanly written and uses macros consistently.
[+] dist tag is present.
[+] build root is correct.
[+] license field matches the actual license.
[+] license is open source-compatible: GPLv2
[+] license text included in package.
[+] latest version is being packaged.
[+] BuildRequires are proper.
[+] %clean is present.
[+] package builds in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1708170
[+] package installs properly.
[3] rpmlint is silent:
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/TransformTable.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/ByteOrder.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/LayerMap.cpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/Lock.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/FileHeader.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/main_offline.cpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/Compress.cpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/File.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/TransformNONE.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/FileUtils.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/TransformCompressBZ2.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/Transform.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/FileRaw.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/TransformCompressLZO.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/Memory.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/FileRememberTimes.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/Compress.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/TransformCompressBZ2.cpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/TransformNONE.cpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/CompressedTable.cpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/FileRawCompressed.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/TransformCompressLZO.cpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/FileRememberTimes.cpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/FileRawNormal.cpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/minilzo/minilzo.c
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/FileRawNormal.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/File.cpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/TransformXOR.cpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/minilzo/lzoconf.h
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/Block.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/CompressedTable.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/FuseCompress.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/TransformXOR.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/Mutex.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/FileRawCompressed.cpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/Memory.cpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/CompressedMagic.cpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/FileUtils.cpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/TransformCompressGZ.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/LinearMap.cpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/LayerMap.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/TransformCompress.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/CompressedMagic.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/FileHeader.cpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/FuseCompress.cpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/Block.cpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/LinearMap.hpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/FileManager.cpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/TransformTable.cpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/TransformCompress.cpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/TransformCompressGZ.cpp
	fusecompress1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fusecompress-1.99.19/src/FileManager.hpp
	3 packages and 1 specfiles checked; 0 errors, 52 warnings.
[+] final provides and requires are sane:
	fusecompress1 = 1.99.19-5.fc12
	fusecompress1(x86-64) = 1.99.19-5.fc12
	----
	fuse  
	libbz2.so.1()(64bit)  
	libc.so.6()(64bit)  
	libc.so.6(GLIBC_2.2.5)(64bit)  
	libc.so.6(GLIBC_2.3)(64bit)  
	libc.so.6(GLIBC_2.3.3)(64bit)  
	libc.so.6(GLIBC_2.3.4)(64bit)  
	libc.so.6(GLIBC_2.4)(64bit)  
	libfuse.so.2()(64bit)  
	libfuse.so.2(FUSE_2.6)(64bit)  
	libfuse.so.2(FUSE_2.8)(64bit)  
	libgcc_s.so.1()(64bit)  
	libgcc_s.so.1(GCC_3.0)(64bit)  
	libm.so.6()(64bit)  
	libmagic.so.1()(64bit)  
	libpthread.so.0()(64bit)  
	libpthread.so.0(GLIBC_2.2.5)(64bit)  
	librlog.so.5()(64bit)  
	libstdc++.so.6()(64bit)  
	libstdc++.so.6(CXXABI_1.3)(64bit)  
	libstdc++.so.6(CXXABI_1.3.1)(64bit)  
	libstdc++.so.6(GLIBCXX_3.4)(64bit)  
	libstdc++.so.6(GLIBCXX_3.4.11)(64bit)  
	libstdc++.so.6(GLIBCXX_3.4.9)(64bit)  
	libz.so.1()(64bit)  
	rpmlib(CompressedFileNames) <= 3.0.4-1
	rpmlib(FileDigests) <= 4.6.0-1
	rpmlib(PayloadFilesHavePrefix) <= 4.0-1
	rtld(GNU_HASH)  
	rpmlib(PayloadIsXz) <= 5.2-1
[+] no shared libraries are added to the regular linker search paths.
[+] owns the directories it creates.
[+] doesn't own any directories it shouldn't.
[+] no duplicates in %files.
[3] file permissions are appropriate.
[+] documentation is small, so no -docs subpackage is necessary.
[+] %docs are not necessary for the proper functioning of the package.
[+] no headers.
[+] no pkgconfig files.
[+] no libtool .la droppings.

============= COMMENTS =============

1) The name might be missleading as it isn't really fusecompress1 but kind of a migration tool, fusecompress1-migrate would be approriate to avoid confusion.
2) Use install rather than mv
3) Well the rpmlinit messages is clear, remove the +x from the source files.

Besides this the package looks good to me.

Comment 2 Toshio Ernie Kuratomi 2009-09-25 23:48:43 UTC
Thanks for reviewing!

(In reply to comment #1)
> 1) The name might be missleading as it isn't really fusecompress1 but kind of a
> migration tool, fusecompress1-migrate would be approriate to avoid confusion.

How about fusecompress_offline1 since that's the name of the utility it installs?

> 2) Use install rather than mv

mv is being used to rename two files that were installed by make install.  (renaming the binary from fusecompress_offline to fusecompress_offline1 and the man page from fusecompress_offline.1 to fusecompress_offline1.1)  This seems proper to me.  Do you agree or is there some way to use install in that situation that's better?

> 3) Well the rpmlinit messages is clear, remove the +x from the source files.

Fixed

SPEC: http://toshio.fedorapeople.org/packages/fusecompress_offline1.spec
SRPM: http://toshio.fedorapeople.org/packages/fusecompress_offline1-1.99.19-6.fc11.src.rpm

http://koji.fedoraproject.org/koji/taskinfo?taskID=1708383

Comment 3 Adel Gadllah 2009-09-26 08:07:17 UTC
(In reply to comment #2)
> Thanks for reviewing!
> 
> (In reply to comment #1)
> > 1) The name might be missleading as it isn't really fusecompress1 but kind of a
> > migration tool, fusecompress1-migrate would be approriate to avoid confusion.
> 
> How about fusecompress_offline1 since that's the name of the utility it
> installs?

Yeah that makes sense.

> > 2) Use install rather than mv
> 
> mv is being used to rename two files that were installed by make install. 
> (renaming the binary from fusecompress_offline to fusecompress_offline1 and the
> man page from fusecompress_offline.1 to fusecompress_offline1.1)  This seems
> proper to me.  Do you agree or is there some way to use install in that
> situation that's better?

Sure as this is already installed using install again does not make much sense.

> > 3) Well the rpmlinit messages is clear, remove the +x from the source files.
> 
> Fixed
> 
> SPEC: http://toshio.fedorapeople.org/packages/fusecompress_offline1.spec
> SRPM:
> http://toshio.fedorapeople.org/packages/fusecompress_offline1-1.99.19-6.fc11.src.rpm
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=1708383  

Looks good now, "- Use install instead of mv" well you didn't do that but a changelog entry isn't a blocker ;)

=> APPROVED

Comment 4 Toshio Ernie Kuratomi 2009-09-27 15:42:10 UTC
New Package CVS Request
=======================
Package Name: fusecompress_offline1
Short Description: Utility to help migrate off of fusecompress-1.x
Owners: toshio lkundrak lmacken
Branches: devel
InitialCC:

Comment 5 Toshio Ernie Kuratomi 2009-09-27 16:53:01 UTC
cvs done; New package built for rawhide.  thanks for reviewing!


Note You need to log in before you can comment on or make changes to this bug.